void GxepdPage2()
{//Термометр
  
  // int temp = 225;
 //int tempmax = 289;
// int tempmin = 154;
//int  hum = 560;
 //int znmin = 0;
 //znmax=1;
 //tax=12032;
// tin=11050;
  display.setRotation(2);
  display.fillScreen(GxEPD_WHITE);

 display.drawExampleBitmap(im1, 0 , 0, 128, 296, GxEPD_WHITE);
 // display.drawExampleBitmap(im1, 0, 0, GxEPD_WIDTH, GxEPD_HEIGHT, GxEPD_RED);
  //  display.drawExampleBitmap(im1, 0, 0, GxEPD_WIDTH, GxEPD_HEIGHT, GxEPD_WHITE);
  display.setRotation(4);
  display.setTextColor(GxEPD_BLACK);
  display.setFont();
  
if(ntp==0){
 display.setCursor(0,40);
 display.print(tik );
}
 //   display.setCursor(3,50);
 // display.print(sen);
 //  display.setCursor(80, 10);
  // display.print("W");
 // display.print(wifi_signal);
  display.setCursor(90,100);
  display.print(tax/1000);
  display.print(":");
  if(tax%1000<10){ display.print("0");}
  display.print(tax%1000);
  
                       display.setCursor(90,185);
  display.print(tin/1000);
  display.print(":");
  if(tin%1000<10){ display.print("0");}
  display.print(tin%1000);

   //******* ВРЕМЯ ОБНОВЛЕНИЯ ******************************************** 
  if(ntp==0)display.setTextColor(GxEPD_RED);
   
 display.setFont(&FreeMonoBold9pt7b);
   display.setCursor(0, 90+15);
  display.print(tHour/10);//время с нтп часы
  display.setCursor(0, 105+15);
  display.print(tHour%10);
  display.setCursor(0, 118+15);
  display.print(":");
  display.setCursor(0, 135+15);
  display.print(tMin/10 );//минуты
   display.setCursor(0, 150+15);
   display.print(tMin%10 );

 



  // display.setFont(&prazo_Regular_224pt7b);
  // display.setFont(&FreeMonoBold24pt7b);
  display.setTextColor(GxEPD_BLACK);
  display.setFont(&FreeMonoBold12pt7b);
  display.setCursor(108, 95);//max
  display.print(".");
   if(ht==1)
  {
    display.setTextColor(GxEPD_RED);
  }
  display.setCursor(108, 140);
  display.print(".");
  display.setTextColor(GxEPD_BLACK);
  display.setCursor(108, 180);//min
  display.print(".");
  
  if (tempmax / 10 > 9)
  { display.setCursor(70, 95);
  }
  else
  { display.setCursor(80, 95);
  }

  if (znmax == 1)
  { display.print("+");
  }
  else
  { display.print("-");
  }
  display.print(tempmax / 10);

  //************************************
 if(ht==1)
  {
    display.setTextColor(GxEPD_RED);
  }
  if (temp / 10 > 9)
  { display.setCursor(70, 140);
  }
  else
  { display.setCursor(80, 140);
  }

  if (zntemp == 1)
  { display.print("+");
  }
  else
  { display.print("-");
  }


 
  display.print(temp / 10);
  display.setTextColor(GxEPD_BLACK);
  //*********************************************
  if (tempmin / 10 > 9)
  { display.setCursor(70, 180);
  }
  else
  { display.setCursor(80, 180);
  }

  if (znmin == 1)
  { display.print("+");
  }
  else
  { display.print("-");
  }
  display.print(tempmin / 10);
  //**************************************************
  if(ht==1)
  {
    display.setTextColor(GxEPD_RED);
  }
  display.setCursor(87, 280);
  display.print(hum / 10);
  display.print("%");
display.setTextColor(GxEPD_BLACK);

 //*********************десяичные темп макс и мин*****************************
  display.setFont(&FreeMonoBold9pt7b);
  display.setCursor(116, 95);
  display.print(tempmax % 10);
  display.setCursor(116, 140);
  if(ht==1)
  {
    display.setTextColor(GxEPD_RED);
  }
  display.print(temp % 10);
  display.setTextColor(GxEPD_BLACK);
  display.setCursor(116, 180);
  display.print(tempmin % 10);
//*********************************  PIC   **********************************************
if (temp > 0)
 { display.fillCircle(45, 255, 41, GxEPD_RED);
  display.fillRoundRect(35, 65, 18, 180, 10, GxEPD_RED);//x y w h R
 }else
 {display.fillCircle(45, 255, 41, GxEPD_BLACK);
  display.fillRoundRect(35, 65, 18, 180, 10, GxEPD_BLACK);//x y w h R
 }
  display.fillRoundRect(40, 135, 8, 80, 4, GxEPD_WHITE);//x y w h R
  display.setTextColor(GxEPD_WHITE);

  //**********************БОЛЬШАЯ ТЕМП**************************************
  if (temp > 0)
  {
    display.setFont(&FreeMonoBold12pt7b);
    display.setCursor(5, 263);
    if (zntemp == 1)
    { display.print("+");
    }
    else
    { display.print("-");
    }

    display.setFont(&FreeMonoBold24pt7b);

    if (temp / 10 > 9)
    {
      display.setCursor(18, 270);
      display.print(temp / 10);
    }
    else
    {
      display.setCursor(24, 270);
      display.print(temp / 10);

      display.setFont(&FreeMonoBold12pt7b);

      display.setCursor(45, 270);
      display.print(".");
      display.setCursor(55, 270);
      display.print(temp % 10);
    }
  }
  else {
    display.setFont(&FreeMonoBold24pt7b);
    display.setCursor(30, 270);
    display.print(temp / 10);
  }


  //****************************************************************
DrawBattery( 0, 21);
DrawRSSI(105, 21, wifi_signal);
  display.update();
}
